# Imgsort 2
Cross platform, fast and efficient manual file sorting with keybinds.

## Description
**Imgsort 2** is web app that lets a client sort files from a "staging" directory on the server into other directories on the server.
It is mainly intended for sorting media that was auto-uploaded from a phone into a self-hosted cloud, like Nextcloud.

If you are looking for a simple program the lets you the same thing locally, have a look at [imgsort](https://github.com/MatthiasQuintern/imgsort).

### Web Interface
The web can show images, video and audio. 
The user can configure several directories into which the files can be sorted through the web interface.
Each directory has a keybind and a button which, when either is pressed, moves the image into the according directory.

The web interface has mobile optimizations, letting you sort images/files on the go.


## Installation
You need a *php* enabled web server, for example *nginx* with *php-fpm*.
To Install the app files in `/www/imgsort2`,  use `make install DEST=/www/imgsort2`.
The web server needs to serve the app files as well as the directory containg all images, called `rootDir`.
You need to configure the `$rootDir` and `$rootPath` as well as the `$stagingDirName` accordingly in the `imgsort.php` file.

If you a using nextcloud, make sure to have the `rootDir` directory as an "external" storage media and not in the main nextcloud `data` directory.

**The app has no authentication system. Only expose it locally or use something like nginx basic auth to restrict access!**
